List all fulfillment history of an order
GET https://services.leadconnectorhq.com/payments/orders/{orderId}/fulfillments
Authorization
Path parameters
Query parameters
Responses
200 - Successful response
status (boolean, required): Status of api action Example: True
data (object[], required): An array of fulfilled items
altId (string, required): Account Id or Agency Id Example: 6578278e879ad2646715ba9c
altType (string, required): Possible values: 'account'
trackings (object[], required): Fulfillment tracking information
trackingNumber (string): Tracking number provided by the shipping carrier Example: 40012345678
shippingCarrier (string): Shipping carrier name Example: FedEx
trackingUrl (string): Tracking URL Example: https://www.fedex.com/wtrk/track/?trknbr=40012345678
_id (string, required): The unique identifier for the fulfillment item. Example: 655b33a82209e60b6adb87a5
items (object[], required): Fulfilled items
_id (string, required): The id of product price Example: 6578278e879ad2646715ba9c
name (string, required): Name Example: Iphone 15 pro
product (object, required): Product details
price (object, required): Price details
qty (number, required): The no of quantity of the current fulfilled item Example: 1
createdAt (string, required): created at Example: 2023-12-12T09:27:42.355Z
updatedAt (string, required): updated at Example: 2023-12-12T09:27:42.355Z
{
"status": true,
"data": [
{
"altId": "6578278e879ad2646715ba9c",
"altType": "account",
"trackings": [
{}
],
"_id": "655b33a82209e60b6adb87a5",
"items": [
{}
],
"createdAt": "2023-12-12T09:27:42.355Z",
"updatedAt": "2023-12-12T09:27:42.355Z"
}
]
}
400 - Bad Request
401 - Unauthorized
422 - Unprocessable Entity
Example
curl -X GET 'https://services.leadconnectorhq.com/payments/orders/YOUR_orderId/fulfillments' \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Version: 2021-07-28'
const response = await fetch('https://services.leadconnectorhq.com/payments/orders/YOUR_orderId/fulfillments', {
method: 'GET',
headers: {
Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`,
Version: '2021-07-28',
},
});
const data = await response.json();
import os, requests
response = requests.request(
'GET',
'https://services.leadconnectorhq.com/payments/orders/YOUR_orderId/fulfillments',
headers={
'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}",
'Version': '2021-07-28',
},
)
data = response.json()
<?php
$ch = curl_init('https://services.leadconnectorhq.com/payments/orders/YOUR_orderId/fulfillments');
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => 'GET',
CURLOPT_HTTPHEADER => [
'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'),
'Version: 2021-07-28',
],
]);
$data = json_decode(curl_exec($ch), true);